# $Revision: 1.25 $, $Date: 2008/09/04 12:41:47 $
Summary:	Class for creating esientific and business charts
Summary(pl.UTF-8):	Klasa do tworzenia naukowych i biznesowych wykresów
Name:		jpgraph
Version:	1.26
Release:	3
License:	QPL 1.0
Group:		Libraries
Source0:	http://hem.bredband.net/jpgraph/%{name}-%{version}.tar.gz
# Source0-md5:	13bd871fb1a405ae1bbf9c02ae5a35ac
Patch0:		%{name}-config.patch
URL:		http://www.aditus.nu/jpgraph/
BuildRequires:	rpmbuild(macros) >= 1.461
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	%{_datadir}/fonts/TTF
Requires:	php(gd)
Requires:	php-common >= 3:4.3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir			%{php_data_dir}/%{name}

%description
JpGraph is a fully OO graph library which makes it easy to both draw a
"quick and dirty" graph with a minimum of code and quite complex
graphs which requires a very fine grain of control. The library tries
to assign sensible default values for most parameters hence making the
learning curve quite flat since for most of the time very few commands
is required to draw graphs with a pleasing aesthetic look.

Note: The 1.x series is only for PHP4. It will not work on PHP5.

%description -l pl.UTF-8
JpGraph to w pełni obiektowo zorientowana biblioteka ułatwiająca
tworzenie zarówno prostych (,,na szybko'') jak i skomplikowanych,
wymagających precyzji grafik. Biblioteka próbuje przypisać sensowne
wartości domyślne dla większości parametrów, aby uczynić krzywą nauki
w miarę płaską, jako że w większości przypadków wystarcza użycie kilku
poleceń do rysowania estetycznie wyglądających grafik.

Uwaga: wersje 1.x są tylko dla PHP4, nie będą działać z PHP5.

%prep
%setup  -q
%patch0 -p1

mv src/*.txt .
mv src/Examples .

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_examplesdir}/%{name}-%{version}}
cp -a src/* $RPM_BUILD_ROOT%{_appdir}
cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* docs/* CHANGELOG*.txt
%{_appdir}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jpgraph.spec,v $
Revision 1.25  2008/09/04 12:41:47  glen
- package changelog; rel 3

Revision 1.24  2008/09/04 11:10:48  glen
- separate examples

Revision 1.23  2008/08/08 15:32:19  arekm
- up to 1.26

Revision 1.22  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.20  2006/11/26 12:42:43  glen
- virtual deps; rel 2

Revision 1.19  2006/01/23 10:01:25  qboosh
- updated pl desc

Revision 1.18  2006/01/23 09:23:36  glen
- add information about php versions

Revision 1.17  2006/01/23 09:22:00  glen
- 1.20.2

Revision 1.16  2005/09/22 10:48:31  glen
- fix php epoch

Revision 1.15  2005/09/22 08:11:48  arekm
- up to 1.19

Revision 1.14  2005/01/17 08:04:49  dzeus
- up to 1.17

Revision 1.13  2004/03/07 16:58:31  adgor
- Removed one messing slash

Revision 1.12  2004/01/10 12:12:20  arekm
- updated to 1.14

Revision 1.11  2003/06/20 11:48:03  ankry
- removed bogus changelog; should be
  - 1.12.2, untested

Revision 1.9  2003/06/14 19:46:50  ankry
- md5

Revision 1.8  2003/05/25 05:49:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/27 21:10:39  juandon
- new %doc

Revision 1.6  2002/04/25 16:39:48  arturs
- fixed a small typo

Revision 1.5  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:27  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/28 15:06:19  misiek
- include external documentation

Revision 1.1  2001/10/28 14:54:08  misiek
- initial pld release
